# studio::AudioContainer Class Reference

`#include <audiocontainer.h>`

List of all members.

## Public Member Functions

| AudioContainer ()
| ~AudioContainer ()
void | set_offset (const double &s)
double | get_offset () const
etl::handle< AudioProfile > | get_profile (float samplerate=DEF_DISPLAYSAMPLERATE)
bool | get_current_time (double &out)
bool | load (const std::string &filename, const std::string &filedirectory="")
void | clear ()
void | play (double t)
void | stop ()
bool | is_playing () const
void | start_scrubbing (double t)
void | stop_scrubbing ()
void | scrub (double t)
| if we are not currently scrubbing this will not work
bool | is_scrubbing () const
double | scrub_time () const
bool | isRunning () const
bool | isPaused () const

## Constructor & Destructor Documentation

studio::AudioContainer::AudioContainer | ( |  | ) |

studio::AudioContainer::~AudioContainer | ( |  | ) |

## Member Function Documentation

void AudioContainer::set_offset | ( | const double & | s | ) |

double AudioContainer::get_offset | ( |  | ) | const

handle< studio::AudioProfile > studio::AudioContainer::get_profile | ( | float | samplerate = `DEF_DISPLAYSAMPLERATE` | ) |

References build_profile().

bool studio::AudioContainer::get_current_time | ( | double & | out | ) |

bool studio::AudioContainer::load | ( | const std::string & | filename,
|  | const std::string & | filedirectory = `""` |
| ) |  |  |

void studio::AudioContainer::clear | ( |  | ) |

void studio::AudioContainer::play | ( | double | t | ) |

void studio::AudioContainer::stop | ( |  | ) |

bool AudioContainer::is_playing | ( |  | ) | const

void AudioContainer::start_scrubbing | ( | double | t | ) |

Referenced by studio::Widget_Preview::set_audio().

void AudioContainer::stop_scrubbing | ( |  | ) |

Referenced by studio::Widget_Preview::set_audio().

void AudioContainer::scrub | ( | double | t | ) |

if we are not currently scrubbing this will not work

Referenced by studio::Widget_Preview::set_audio().

bool AudioContainer::is_scrubbing | ( |  | ) | const

double AudioContainer::scrub_time | ( |  | ) | const

bool AudioContainer::isRunning | ( |  | ) | const

bool AudioContainer::isPaused | ( |  | ) | const

The documentation for this class was generated from the following files:

- audiocontainer.h
- audiocontainer.cpp